Bug 332576 - The Dialog popup dances
Summary: The Dialog popup dances
Status: RESOLVED FIXED
Alias: None
Product: frameworks-plasma
Classification: Unclassified
Component: libplasmaquick (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-25 11:24 UTC by Martin Klapetek
Modified: 2014-04-29 15:23 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Klapetek 2014-03-25 11:24:07 UTC
Keeps constantly moving by 1px left and right

<notmart> happens only when dialogs are athe just right distance from borders
<notmart> and it perfectly survived the total rewrite of dialog from plasma1, isn't it sweet?
Comment 1 Bhushan Shah 2014-03-27 11:10:04 UTC
Steps to reproduce? or conditions in which it just appears..?
Comment 2 Martin Klapetek 2014-03-27 11:33:43 UTC
More info from notmart

<notmart> i think is when the dialog is at the right distance to screen edge
<notmart> we are enough at the right, we can disable the border -> causes dialog to be less wide
<notmart> so now we are too far from the screen edge, reenable the border, the dialog becomes wider
<notmart> oh, crap we are near enough now
<notmart> i made very sure that wouldn't have happened ever, but apparently there is still that sweet spot
Comment 3 Marco Martin 2014-04-24 15:30:14 UTC
Git commit 55e2b27d53d3302f8000a28d4a7fd1bd6a2af920 by Marco Martin.
Committed on 24/04/2014 at 15:25.
Pushed by mart into branch 'master'.

change a bit resize logic

Make sure to always execute one between syncToMainItemSize()
and syncMainItemToSize() in a mutually exclusive fashion.
this should (hopefully) fix the dancing dialog problem
and dialogs with content of the wrong size
Related: bug 332812

M  +44   -9    src/plasmaquick/dialog.cpp
M  +0    -4    src/plasmaquick/dialog.h

http://commits.kde.org/plasma-framework/55e2b27d53d3302f8000a28d4a7fd1bd6a2af920
Comment 4 Marco Martin 2014-04-29 11:19:52 UTC
can anybody still reproduce at all?
it *should* be fixed
Comment 5 Martin Klapetek 2014-04-29 15:23:35 UTC
It's quite hard to as things have to be *just right* for that to happen (plus the moon phase), so I'll close this now as I haven't seen it in quite a while and will reopen if it still happens.